#ifndef MALACHSCRIPT_BOUNDVARIABLE_HPP
#define MALACHSCRIPT_BOUNDVARIABLE_HPP

namespace MalachScript::Binder {
    class BoundType;

    class BoundVariable {
    public:
        BoundVariable(const BoundType* type, AccessModifier accessModifier)
            : _type(type), _accessModifier(accessModifier) {}

        [[nodiscard]] inline const BoundType* GetType() const noexcept { return _type; }
        [[nodiscard]] inline AccessModifier GetAccess() const noexcept { return _accessModifier; }

    private:
        const BoundType* _type;
        AccessModifier _accessModifier;
    };
}

#endif // MALACHSCRIPT_BOUNDVARIABLE_HPP
